Skip to content

Create contract

The creation of an NFT contract is the deployment of a new smart contract on a POLYGON blockchain. The concept of a contract can be considered as the creation of a collection.

Endpoint: POST

https://{{HOST}}/api/v1/nft/contracts/

Example

curl --location --request POST 'https://test-into-api.sso-tisa.com/api/v1/nft/contracts/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string",
    "symbol": "string",
    "description": "string"|null,
    "chain": "MATIC",
    "image": "string"|null,
    "media": [
        {
            "type": "audio|image",
            "value": "string"
        }
    ]
}'

Body

{
    "name": "string",
    "symbol": "string",
    "description": "string"|null,
    "chain": "MATIC",
    "image": "string"|null,
    "media": [
        {
            "type": "audio|image",
            "value": "string"
        }
    ]
}

Returns

{
    "address": "string",
    "name": "string",
    "symbol": "string",
    "chain": "MATIC",
    "description": "string"|null,
    "image": "string"|null,
    "media": [
        {
            "type": "audio|image",
            "value": "string"
        }
    ],
    "is_confirmed": "bool",
    "transaction_hash": "string"
}

Advanced

Info

For more object describes the properties of an NFT contract please read : Object reference